Subject: Re: bug#65759: Bug

From: "Sjors Provoost" <[email-masked]>
Date: Wed, 06 Sep 2023 14:04:45 -0400

Hi Josselin,

Restarting the command a few times it kept failing at different packages, but eventually made it through just fine.

The building machine is indeed x86_64-linux, the Bitcoin projects uses cross compilation to make binaries for macOS (and requires you to download the SDK and run a script to extract some stuff from it).

Sjors

On Wed, Sep 6, 2023, at 04:47, Josselin Poiret wrote:
> Hi Sjors,
>
> Sjors Provoost <[email-masked]> writes:
>
>> $ HOSTS='x86_64-apple-darwin arm64-apple-darwin' ./contrib/guix/guix-build || echo -e "\a"
>
> Guix doesn't support apple-darwin as a system.  I don't know how the
> bitcoin project does it, but you probably want to report this to them
> instead.  I don't see anything immediately wrong with the log here as
> well.
>
>> guix time-machine: error: You found a bug: the program '/gnu/store/6is1k9037hzkbjgwrc1zs6v5z26i23ly-compute-guix-derivation'
>> failed to compute the derivation for Guix (version:
>> "160f78a4d92205df986ed9efcce7d3aac188cb24"; system: "x86_64-linux";
>
> It seems that guix believes it is building on x86_64-linux.  I don't
> know if this is a bug or feature, you'll have to see with the bitcoin
> project.
>
> Best,
> -- 
> Josselin Poiret
>
> Attachments:
> * signature.asc